現在位置: ホーム / セキュリティ ブログ / Rubyに複数の脆弱性(CVE-2018-6914, CVE-2018-8777, CVE-2018-8778, CVE-2018-8779, CVE-2018-8780)

Rubyに複数の脆弱性(CVE-2018-6914, CVE-2018-8777, CVE-2018-8778, CVE-2018-8779, CVE-2018-8780)

03/28/2018にRubyに複数の脆弱性情報(CVE-2018-6914, CVE-2018-8777, CVE-2018-8778, CVE-2018-8779, CVE-2018-8780)と新しいバージョン(2.2.10/2.3.7/2.4.4/2.5.1)が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

03/28/2018にRubyに複数の脆弱性情報(CVE-2018-6914, CVE-2018-8777, CVE-2018-8778, CVE-2018-8779, CVE-2018-8780)と新しいバージョン(2.2.10/2.3.7/2.4.4/2.5.1)が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

Moderate(CVE-2018-8777, CVE-2018-8778, CVE-2018-8780)/Low(CVE-2018-6914, CVE-2018-8779)

修正方法

各ディストリビューションの情報を確認してください。

脆弱性概要(詳細は一次情報源、又は日本語のrubyのサイトをご確認ください)


主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat Satelliteを使うと管理が便利でしょう。

Red Hat Satelliteを用いた一般的なErattaの適用は、『Red Hat Satellite 6でerrataを適用してみる』を 参考にして下さい。

[参考]

https://www.ruby-lang.org/en/news/2018/03/28/unintentional-file-and-directory-creation-with-directory-traversal-cve-2018-6914/

https://www.ruby-lang.org/en/news/2018/03/28/large-request-dos-in-webrick-cve-2018-8777/

https://www.ruby-lang.org/en/news/2018/03/28/buffer-under-read-unpack-cve-2018-8778/

https://www.ruby-lang.org/en/news/2018/03/28/poisoned-nul-byte-unixsocket-cve-2018-8779/

https://www.ruby-lang.org/en/news/2018/03/28/poisoned-nul-byte-dir-cve-2018-8780/

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-6914

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-8777

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-8778

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-8780

セキュリティ系連載案内

OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

タグ:
OSSよろず相談室

サイオスOSSよろず相談室(2)

問い合わせボタン

最新の記事
GlusterFSの脆弱性(CVE-2018-1088) 2018年04月19日
MySQLの脆弱性(Oracle Critical Patch Update Advisory - Apr 2018) 2018年04月19日
Oracle Javaの脆弱性(Oracle Critical Patch Update Advisory - Apr 2018) 2018年04月18日
Linux Kernelの脆弱性 (CVE-2018-10124) 2018年04月17日
OpenSSLの脆弱性情報 ( CVE-2018-0737 : Low) 2018年04月17日
GNU Patchの脆弱性(CVE-2018-1000156) 2018年04月08日
GnuPGの脆弱性(CVE-2018-9234) 2018年04月05日
Rubyに複数の脆弱性(CVE-2018-6914, CVE-2018-8777, CVE-2018-8778, CVE-2018-8779, CVE-2018-8780) 2018年04月04日
Linux Kernelの複数の脆弱性(CVE-2018-1092, CVE-2018-1093, CVE-2018-1094, CVE-2018-1095) 2018年04月02日
Apache Struts2の脆弱性(S2-056 : CVE-2018-1327) 2018年03月28日
OpenSSLの脆弱性 ( CVE-2018-0739, CVE-2018-0733 ) 2018年03月28日
Apache HTTP Serverに複数の脆弱性(CVE-2017-15710,CVE-2017-15715,CVE-2018-1283,CVE-2018-1301,CVE-2018-1302,CVE-2018-1303,CVE-2018-1312) 2018年03月25日
rsyslog librelpの脆弱性(CVE-2018-1000140) 2018年03月25日
Linux Kernelの脆弱性(CVE-2017-18241) 2018年03月23日
Nessusの脆弱性(CVE-2018-1141) 2018年03月21日
Linux Kernelの脆弱性(CVE-2018-8822) 2018年03月21日
NetworkManagerの脆弱性(CVE-2018-1000135) 2018年03月21日
SQLiteの脆弱性情報(CVE-2018-8740) 2018年03月19日
Linux Kernelの脆弱性(CVE-2018-1068) 2018年03月19日
kubernetesに複数の脆弱性(CVE-2017-1002101, CVE-2017-1002102) 2018年03月16日
最新の記事 - もっと...